Introduction

 Top Next

LaunchBar Commander

v1.113.01 - August 5, 2010

Requires: Microsoft Windows XP/NT/2000/9x/ME

LaunchBar Commander is what is commonly referred to as an "Application Launcher"; it is typically docked to the side of your screen and lets you configure buttons and menus which will launch your favorites programs.

Features:

· Create as many "docks" as you want; each dock can also be minimized to the system tray to be used as a tray menu.
· All configurations are stored in portable configuration files - easy to move to different computers, backup, etc.
· Easily enable/disable/copy/move items using a sophisticated hierarhical tree configuration gui.
· Full drag+drop support - create new items by dragging files or programs onto a launch bar; or drag a document onto an existing button to launch the program with the file dropped.
· Lots of customization options, including skins and transparency options; customizable font style and size, labeled headers, etc.
· Advanced button and menu types - including switchable Tool Buttons, Batch Buttons, Virtual Links, etc.
· Smart shortcut processing (drag+drop and launch shortcuts and urls properly).
· Smart icon retrieval - use application icons, standalone .ico files, or even .bmp files.
· Advanced hotkey functionality -- configure submenus to pop up under cursor.


Windows Vista and Windows 7 Notes

 Top Previous Next

Resizing the Docking Bars:

To resize a docking/launch bar, click on it and use the keyboard Shift+Arrow keys. This is needed when using Windows Vista and Windows 7 as the docking bar is not dragable/resizable the way it is in Windows XP.


Program Philosophy

LaunchBar Commander is a "launch bar" tool where you place your favorite programs and documents on a bar on your screen where you can easily run or open them.

A launch bar typically docks to one sider of your screen where it is always visible as a kind of reminder of your most useful tools, but it can also be free floating, or minimized to the system tray where it acts as a pop-up menu, visible only then you need it.

LaunchBar Commander has a slightly different focus than some other launch bar tools:

· It's designed for power users who value efficiency over eye candy - although you can choose some nice appearance skins for the program, if you are looking for a super fancy animated mac-style dock with dancing icons, LaunchBar Commander is not the tool for you.
· It's designed to store docking bar configurations in self-contained files - so you can back them up easily, move them to other computers, switch between configurations, etc.
· It emphasizes the use of highly configurable Menus rather than just buttons - you can build hierarchical menus of any depth and varying types.
· It has a very powerful tree configuration tool which supports copy and paste, drag and drop, easy temporary disabling.
· Multiple dock support - a single instance of the program can support multiple docks and tray menus.
· Robust support for virtual file menus - confgure menu items to give you access into specific folders, with many options.
· Drag and drop runtime support - drop files onto buttons to open them with the specific program, or add them to the launch bar.
· Smart tree building - extracts icons and descriptions from files and pictures.
· Special menu building blocks for Start Menu, MyDocuments, etc. More coming soon (control panel, printers).


Walkthrough: Creating Your First Dock

When you start LaunchBar Commander for the first time, it may start out completely empty, with no docks defined.

You can create almost everything by right clicking in the node tree window on the left hand side of the configuration window.

You will start out with a blank new unnamed file. All dock configurations will be stored in this file. You can have multiple docks in one file, and even multiple files open and running at the same time(!).

Ok, let's add your first dock:

· Select the file node and either right click and add a new child node of the Dock type, or choose Add Node -> Child Dock from menu, or the add child node button from toolbar. This will create a new unnamed, empty dock.
· There is no icon yet for the dock, let's pick one. Click the first folder button next to the icon line and choose a fun icon.
· Give the dock a nicer name, like "My Dock"
· We'll leave the other options at their defaults for now.

Now you have a dock, but there's nothing on it yet. Let's start by adding a button that acts as virtual copy of your Start Menu:

· Select the new Dock node, and add a Child Folder node.
· Give it a nice name like "My Start Menu"
· Choose a nice icon for it as we did before.
· Go to the "Root Folder to Display" field and select "AllStartMenu" (make sure not to choose "AllStartupMenu", that's different).
· Click the "Save Changes" button to save your changes.

Now hit the save button to save your new configuration file. You'll be asked to name the file since this is a new file.

Ok now close the configuration display by hitting the close button at the top right. Only then will the launchbar be created.

Your first dock will start out as a free floating box probably of the wrong size. Don't panic!

Just resize the window to best display your buttons, and then drag the window titlebar to one side of your monitor to dock it. Right-click on the dock to un-dock it. Or chose to minimize it to tray. You can reconfigure it at any time by choosing "Preferences" from a right click in the dock (or clicking in empty area).

Remember that you can go back at any time to the configuration display to reorganize your entries, and change how the toolbar is displayed. You may use multiple columns of tiny icons, or use large icons with full text labels.


Resizing Docking Bars

Resizing the Docking Bars:

To resize a docking/launch bar, click on it and use the keyboard Shift+Arrow keys.


General Options

Global Options of the program are available at the root node.

Here you can choose:

· Start with windows - starts every time your computer starts.
· Keep LaunchBars "OnTop" - other windows will show underneath.
· Appearance Skin - here you can customize the look.
· Custom File Explorer - set this if you want to browse folders using a custom file explorer replacement.
· Custom Internet Browser - set this if you want to use a non-default browser to open internet urls and shortcuts.


Dock Nodes

A file contains one or more docks, which can be easily disabled to hide them from view.

A dock node has a caption, which is only visible when the dock is free floating in a window.

A dock has an icon which is shown when the dock is minimized to the system tray.

Other Options:

· Icon Display - none, small, large - icons on the bar itself.
· Menu Icons - none, small, large - icons inside menus of the dock bar.
· Border - visual border on dock.
· Docking Preferences - Normal, Autohide, Autoslide - don't work perfectly yet.
· Background Display Options - color, transparent, skin.
· Sounds - useful for some audio feedback.
· Caption font and wrap - specify a wrap position for long captions.
· Alpha transparency - make the whole dock transparent.
·


Menu Nodes

A Menu node is a container for other menus and commands and folders, etc.

Menu Type:

· Standard - show as a menu
· Contents as root-level items - a container that shows its contents at its level.
· Treat as tool button - push once to launch current item selected, or drop down list to select a new tool.
· Treat as batch button - runs all children nodes when clicked - not implemented yet.
· Treat as tab page - not implemented yet.


Appplication/Command Nodes

Command Nodes configure what command will be run, or file will be open when triggered.

· Command: name of program/file to launch - use browse button to open dialog to specify.
· Working Directory: where to set path when launching.
· Startup Mode: Normal, Minimized, etc.
· Switch to this application if already running: will switch instead of launching a new instance.
· Arguments - to be passed to program; use %file% to use file dropped on the launchbar icon.

The Dropped Files and Scripts tabs are not yet functional.


Commandline Output Menu Nodes

You can now have LBC run a commandline console tool and grab the output of it to make menus on the fly.

Note: If you specify a .txt or .dat filename instead of an executable, it will be read directly and used.

Syntax:

· // comments are preceded with the standard double forward slash
· Files are simply listed each on their own line, and added in order - you can specify documents or executables
· Directories are again listed each on their own line -- they will turn into fully expandable menus
· To insert a separator, specify the minus sign - on its own line
· To specify a non-clickable text header separator, specify a caption on a line starting with a minus sign -
· To make a submenu structure, start with the submenu label followed by a { at the end of the line, then specify the contents, each on their own line, and then end with a } on its own line. You can nest these to arbitrary depth.
· You can also specify a custom icon for any file,folder,submenu, which will overide any default for that item, by specifying at the end of the line /icon=full_path_to_icon
· You can specify a custom caption different from the filename/foldername by specifying at the start of the line Caption String |
· You can refer to the directory where the commandline tool resides with %comdir%
· You can precede a filepath with a < character to indicate that instead of a normal program to launch when a button is clicked, LBC should create a submenu whose contents are determined by the output of the commandline tool.

Example:

// We start with a directory submenu

E:\MyDocs\

// then a separator

-

// then a submenu enclosing more entries, and with a custom icon

MyFiles /icon=%comdir%\smileyavatar.ico {

// and now some file entries (the indenting is optional)

C:\Windows\System32\notepad.exe

E:\MyDocs\Academic\Text\thesis.txt

}

-Final Stuff

// end with another text file, but with custom caption

My ToDo List|E:\MyDocs\Academic\Text\MyTodoList.txt


Folder Nodes

Folder nodes let you specify menus built from the contents of a folder(s) on your hard disk, or the contents of a special virtual folder like the Start Menu.

Folder Node Options:

· Root recursion depth: when set to larger than 0, all file contents in the specified depth of subdirectories will be shown in root menu. Be careful, values greater than 1 or 2 can lead to huge file lists in directories with lots of subfolders.
· Subfolders as Submenus: show found subdirectories as menu items. If false, no submenus will be shown, only files.
· Show hints: hints on menu items.
· Show hidden files: show hidden files in display.
· Only show files newer than # hours (set a cutoff).
· Folder pattern only applies to root: the folder patterns will only exclude root level submenus.
· Large icons: choose size of icons in menu.

· Root Folder to Display: Set the folder whose contents you want to display

You can separate multiple folders with ;

You can choose from special folders with the drop down box, including the contents of your Start Menu, which can be very useful.

· Accept File Patterns: If specified, only files match this pattern (for example *.pdf) will be shown. Separate multiple patterns with ;
· Reject File Patterns: If specified, all files matching any ; separated pattern will be rejected
· Accept Subdir Patterns: If specified, only subdirectories that match this pattern (for example *Best*) will be shown. Separate multiple patterns with ;
· Reject Subdir Patterns: If specified, all subfolders matching any ; separated pattern will be rejected (for example *JUNK*).

Tip: You can create a virtual folder and set a recurse value and disable subfolder listing, set a new hour limit, and specify a pattern like *.pdf, to have a nice menu of all files in some deep directory that match a given pattern.


Virtual Folders

You can use the following virtual folder names in the folder path:

%Desktop%

%DesktopAll%

%Fonts%

%MyDocuments%

%AllDocuments%

%ProgramFiles%

%AllPrograms%

%StartMenu%

%AllStartMenu%

%StartupMenu%

%AllStartupMenu%

%Recent%

%Favorites%

%Templates%

%CommonTemplates%

%AppData%

%CommonAppData%

%Network%

%AdminTools%

%CommonAdminTools%

%NetworkConnections%

%ControlPanel%

%InternetHistory%

%Printers%

%PrinterNeighborhood%

%MyMusic%

%MyVideo%

%MyPictures%

%APPDRIVE% -- drive where LBC has been run from (call like %APPDRIVE%\subpath)

%APPDIR% -- directory where LBC has been run from


Runtime Tips and Tricks

You can drag shortcuts onto a docking bar and the program will smartly prompt you how to handle them.

You can drag documents onto programs on the docking bar to launch them.

You can drag folders onto the docking bar to add a folder menu.


Designtime Tips and Tricks

You can drag new commands and documents into the tree while designing it.

You can use right click to insert a command easily from a running process.

You can backup your current configuration files from the Maintenance menu (recommended!)

You can create a virtual folder and set a recurse value and disable subfolder listing, set a new hour limit, and specify a pattern like *.pdf, to have a nice menu of all files in some deep directory that match a given pattern.

When dragging and dropping nodes, the default operation is a move operation when within the same file, or a copy operation between files. You can override by holding CTRL to force a copy operation or SHIFT to force a MOVE operation.

If you would like a folder node to show the contents of MULTIPLE directories, you can either add their parent folder, OR you can now separate multiple paths with the < character.


Portability and Environmental Variables

Portability and Portability and Environmental Variables

You can use the following environmental variables in paths to make your configuration file more portable:

· %WinDir% - for example C:\Windows
· %SystemDirectory% - for example C:\Windows\System32
· %MyDocuments% - for example D:\My Documents
· %ProgramFiles% - for example C:\Program Files
· %StartMenu%
· %Favorites%
· %APPDRIVE% -- drive where LBC has been run from (call like %APPDRIVE%\subpath)
· %APPDIR% -- directory where LBC has been run from (call like %APPDIR%\subpath)

Note that when adding folder nodes you can select these special folders to list from the drop down menu. The strings above are for use in adding Command nodes.

For example you might add a notepad command to: %SystemDirectory%\notepad.exe

Using LaunchBar Commander on removable usb drives:

LaunchBar Commander is designed to be usable on removable drives, like usb pen drives, etc.

If it can't find the file/command/folder specified at the exact location configured, it will look for it on the same drive as the program is running from. In this way you don't have to do anything special, just ensure that the programs are in the same locations on the drive when you move the configuration file.

Alternatively, you can use %APPDIR% to refer to the base directory of the LaunchBarCommander.exe itself. So you can refer to files to be launched relative to the LaunchBarCommander.exe program itself.


Plugins and Tools

Starting with version 1.107.01, LBC now has a way that users can share packs of 3d party commandline tools along with some pre-configured submenus, and use these as on-demand plugins.

Essentially, an .lbctool file tells LBC how to create new nodes or submenus -- typically ones that will invoke a 3d party tool that accompanies this file.

To share tool packs, simply zip up the commandline tool along with an accompanying .lbctool file and optionally a .txt menu definition file for other users. They unpack the zip into their Tools subdirectory of LaunchBar Commander, and they can now add the tool nodes from the tree just like they add other node types.

An .lbctool file is a simple text file that tells LBC how to describe and configure a new node that the user will be able to create:

// Tool configuration for Launchbar Commander

// Format:

// title =

// app = precede with a < character if you want to run the app and grab contents for menu

// params =

// iconfile =

// Notes:

// if title = - then it is a separator (no other values needed)

// params and iconfile are optional

// if iconfile is blank, the exe file icon will be used

//

// The following macros are available for exe and params

// %THISDIR% - the directory this file is in

// %APPDIR% - the directory where the program (Screenshot Captor) is run from

// %APPDRIVE% - the drive (e.g. c:) where the program (Screenshot Captor) is run from

title = Most Recently Used Files

app = <%THISDIR%\MruCmd.exe

params = mrum

iconfile = %THISDIR%\MruCmd.ico

hint = Show various recently used documents

In this example, the MruCmd.exe commandline tool would be placed in the same subdirectory as this file, along with the MruCmd.ico icon file, for example:

C:\Program Files\LaunchBarCommander\Tools\Mru\

IMPORTANT:

The < character preceding the application name tells LBC that instead of a normal program to launch when a button is clicked, it should create a submenu whose contents are determined by the output of the commandline tool.

Your can also specify a .txt filename after the < instead of an executable filename, which tells LBC to create a submenu from the contents of a text file. See here for more info.


Screenshots

Miscelaneous Screenshots

screenshot


Version History and To Do List

VERSION HISTORY

v1.113.01 - August 5, 2010

· [Feature] LBC now detects when the monitor changes resolution and auto-adjusts itself to the new dimensions (fixes bug where a resolution change could cause LBC to be offscreen an unactivateable)
· [BugFix] Options for specifying multiple folder inclusion and exclusion patterns said to use ; but this did not work. You should now use | character to separate multiple patterns.
· [Feature] Added item to right-click menu to open the containing folder of an item on the dock or in a folder menu.
· [BugFix] Trying to fix rare error message about showing a modal window when working with options.

v1.112.01 - May 4, 2010

· [Feature] You can now drag+drop files and folders onto tree configuration nodes that aren't containers, and items will be added below them, like siblings.
· [BugFix] When dragging and dropping files+folders onto tree configuration, they were previously lowercased.

v1.111.01 - April 15, 2010

· [Feature] You can now choose to hide all (or only .lnk) file extensions in folder nodes.
· [BugFix] Using an item with an icon that can't be read could mess up item images temporarily -- fixed.
· [Feature] Creating new dock node starts with a default icon.
· [Feature] You can now add custom spacers in the Separator item nodes.

v1.110.01 - December 25, 2009

· [Feature] Some people were getting error about missing drives when LBC tried to resolve paths for items that no longer had valid paths; such resolution is now not enabled by default, but can be enabled in the main Options page.

v1.109.01 - November 29, 2009

· [BugFix] Removed usless "Preferences" menu from preferences dialog.
· [Feature] If you ctrl+click on tab page tool buttons they will cycle through child "tabs".

v1.108.02 - June 30, 2009

· [BugFix] The %Recent% folder list was not being filtered properly by file patterns, because all such links have .lnk at the end of them. New code removes the extra .lnk when matching against file patterns.
· [BugFix] Folder nodes whose paths had an extra \ character at end were showing contents but failing to show icons.

v1.108.01 - June 28, 2009

· [Bug Fix] It seems that recently the icon loading of document files stopped working (executable file icons were detected properly but not document file icons); this is now fixed.

v1.107.01 - June 26, 2009

· [Major Feature] LBC now scans the Tools subdirectory for .lbctool files which define pre-configured menu items that can be added easily to launch bars using the tree configuration gui. This works with the new commandline tool output system to provide a kind of limited on-demand Plugin functionality.
· [Minor Features] Better commandline output processing into submenus.

v1.106.01 - June 22, 2009

· [Feature] Better error detection during file save and load.
· [Feature] SaveAs now defaults to current filename.
· [Feature] Unhiding trigger on mouseover now ignores top right and bottom left corners of screen to avoid maximized window buttons and start menu.

v1.105.02 - June 20, 2009

· [Feature] V1.05.01 of LBC had an invalid pointer bug that could crash when loading launchbars.

v1.105.01 - June 18, 2009

· [Feature] LBC now makes automatic backups more often -- one each month that you make changes to the file, and when updating LBC version.
· [Feature] LBC now warns if you are saving a LBC docking bar file with the initial default filename.

v1.104.01 - June 17, 2009

· [BugFix] Adding entries from running processes was not grabbing full file path -- hopefully i haven't broken anything in fixing this.
· [MajorFeature] You can now specify node menus that are built from commandline tool output (or file contents); this can be used to create plugin-like nodes.
· [Feature] Added ability to overide icon+caption settings for submenu nodes and tab nodes and their children -- this lets you mix and match large and small icons on a dock bar.
· [BugFix] Captions weren't changing properly on tab nodes when switching.
· [Feature] You can now Ctrl+Click on dynamic file/folder menu items to open their *containing* folder.
· [BugFix] The %APPDRIVE% and %APPDIR% replacements were not being done properly.
· [BugFix] Trying to fix the occasional error when using the "Configure this item" menu.

v1.102.01 - June 13, 2009

· [BugFix] On Windows Vista and Windows 7, LBC was by default saving the initial launchbar in, and defaulting to saving in, the Program Files directory. This is now changed to the user's documents directory. If you are using VISTA or Windows7 and have a previous version installed, please save your custom launchbars in a directory of your own choosing and remember to back it up with your other data files.
· [MajorFeature] You can now create "tab" submenu nodes, which are meant to hold a collection of child submenus, which can be switched between. By placing such a tab submenu on your dock you can easily click to switch the configuration of your docking bar icons on the fly to different sets of buttons to suit your needs.
· [BugFix] Mouseover hints should work now if you enable them on dock options.

v1.100.01 - June 12, 2009

· [BugFix] Attempt to fix annoying behavior where dock would unslide twice in rapid succession.
· [MinorFeature] On Windows7 (and in no-border mode) there is now a right-click menu item to toggle resizeable border mode to adjust size of docked bar temporarily; this is another way other than shift+cursor keys to resize docking bars.
· [MinorFeature] Added larger icon to program.
· [Feature] Added background image mode to dock display properties.

v1.99.01 - June 11, 2009

· [BugFix] On Windows 7 and Vista the non-docked launchbars were not resizeable.

v1.98.01 - June 10, 2009

· [BugFix] On Windows 7 and Vista the docking bars were showing with big ugly grey borders. They now look much better.
· [NewFeature] You can resize the docking bars by clicking on them and using the keyboard Shift+Arrow keys -- this is needed when using Windows Vista and Windows 7 as the docking bar is not dragable/resizable.
· [NewFeature] In Maintenance menu is now a command to fixup changed drive letters and report any links to file paths that cannot be found or fixed.
· [BugFix] Trying to fix flickering caused by yet another try to keep ontop status in place.
· [New Feature] You can set Left or Center text alignment for captions.

v1.96.01 - June 01, 2009

· [BugFix] LBC knows to hide when a full screen application (game or screensaver) runs; but it was losing it's ontop status after such an app closed.

v1.94.01 - May 26, 2009

· [BugFix] Linked nodes were not launching in Batch mode for Batch menu parents.

v1.93.01 - May 7, 2009

· [BugFix] In portable use, the last loaded (.mcf) file was not being automatically loaded when drive letter change occured. LBC now autocorrects last file name to account for drive letter changes in usb drives, etc. Applications and custom settings already autocorrect for drive letter changes.

v1.92.01 - March 13, 2009

· [BugFix] Fixed flicker on hiding/sliding docks

v1.91.01 - 3/10/09

· New option for custom bottom text in tray menus (including ability to disable)
· [BugFix] Dropping a new item onto a sliding/hidden docking bar caused it to push other windows out of the way.
· Added -config commandline switch to open up configuration dialog at startup -- useful to correct layout problems that prevent docks from showing.
· Added option to docks to always show tray icon -- useful for testing and hidden/sliding docks.
· You can now trigger the normal LBC popup menu from the right-click menu of items on the dock -- especially useful in transparent background mode when there is no way to click on LBC background to get this menu.
· [BugFix] The NOBORDER option was still leaving a thin border
· [BugFix] The right-click context menu of items could sometimes be hidden behind normal node menu.
· You can now ask LBC to completely hide the docking bar and not even show a sliver when docked (new option in the dock), or show a sliver but now with some transparency to make it less intrusive.
· Added %APPDRIVE% virtual folder to list of virtual folders accepted.
· [BugFix] The upper right corner of a bar docked to the top or right hand of screen is ignored for unhiding bars because of likelyhood of system icon buttons there -- but cursor there was also causing docks to hide which is no longer the case.
· Added option to delay unhiding of docked bars.
· [Bugfix] Default options for some newly created nodes could show values of last loaded node.
· [Bugfix] Improved theme/transparent/colored options slightly (icons were looking more ragged than they should with colored backgrounds)

v1.87.01 - 2/18/09

· If you change icon file for a node manually (to a valid new image file), it now recognizes that you have made a change and saves it
· Default ConfigDir.ini is now included with installation for portable use.

v1.86.01 - 1/14/09

· Fixed bug where hotkey popup menus were showing contents of last virtual folder (control panel,etc.)

v1.85.01 - 12/26/08

· More attempts at making the ontop behavior work well and consistently
· Attempt to hide under fullscreen games/screensavers.

v1.84.02 - 11/03/08

· Avoids unhiding when cursor is in top right corner of monitor (where maximized windows have their close button)

v1.83.01 - 11/03/08

· More attempts to fix the bug where launchbars were losing their ontop status.
· Fixed bug where Folder nodes stopped working.

v1.80.01 - 10/28/08

· Tried to improve hit detection for sliding/hiding docks and improve ontop behavior

v1.79.01 - 10/28/08

· Added "Shortcuts" folder with "My Control Panel" subfolder during install -- useful to easily make a folder menu of control panel items on a new dock.
· Folder nodes can now specify directories using the %APPDIR% replacement field and paths of folder nodes can now include system environmental variables combined with subfolders.

v1.76.02 - 10/28/08

· Fixed hotkey menu popup not responding to keypresses and not disappearing.
· Fixed multiple hotkey popup menus being shown -- now hotkey toggles popup menu.

v1.75.02 - 10/27/08

· Fixed bug where bar slid out and back multiple times in a row.
· Fixed bug where hotkey pop-up menu was not getting focus or disappearing on change of focus.

v1.74.03 - 10/27/08

· You can now customize the click sound for menus; click sound played when hidden bar appears
· Tried to fix a bug where toolbar was temporarily shown blank on unhiding
· Included small directory of sounds with installation
· Trying to fix bug where "On Top" setting is being ignored.
· Improved system tray menu.

v1.73.01 - 10/26/08

· Totally rewritten auto-hiding/sliding docking bar support (make sure you set docks to be OnTop from main root options node)
· Improved clarity of node right-click menu.
· Improved multimonitor support.

v1.71.02 - 10/25/08

· Big new feature.. Multimonitor support! Now docks can be docked to any side of any monitor. YAY!
· Improved display of different border options for Docks.

v1.70.03 - 10/22/08

· Hotkey support implemented; you can now configure hotkeys for any item, menu, virtual folder, or dock. Triggering a hotkey normally shows menu under cursor for that branch of tree. For docks you can also configure the hotkey to toggle visibility of dock.
· Tree configuration now does not hide docks -- easier to see skinning options.
· Right-click on items now shows shell context menu when appropriate.
· Click sounds now played during virtual folder navigation.
· Files were not being marked as modified after drag+drop on a launch bar which could result in failure to save the new item.
· Added new readonly file mode which says to ignore any changes without warning.
· Fixed noborder option for transparent launchbars.
· Right-clicking on a node and choosing preferences/configure will now open up configuration tree to that node.
· Added "Save As.." to readonly file change warning choices.
· Added -open "filename" commandline option to specify a filename to load (useful for portable invocation)

v1.61.01 - 8/13/07

· Added update checking support.

v1.60.06 - 11/19/06

· When you drag and drop nodes between DIFFERENT files it will now default to a COPY operation not a move (you can override by holding CTRL to force a copy operation or SHIFT to force a MOVE operation).
· Added option in file node for configuring different confirmation levels for saving file changes.
· Several improvements in backup/save procedures designed to minimize the possibility of a crash during save corrupting any data, and make it highly likely that a backup will exist if your launchbar file gets fubar.
· Bugfix: An error message could be generated when clicking on a menu item, due to a mistaken toggle button link id#.
· Improved save procedure on exit.
· Improved save confirmation dialogs.
· Dragging and dropping a shortcut on a bar offered choice of linking to shortcut but ignored this choice and always linked to real file; fixed.
· Fixed bug that could cause crash if you close files/nodes that are showing on a docking bar on screen while you are editing it (docking bars now close while you edit preferences).
· You can now drag and drop file order in tree (i dont know why you would want to do that, but at least it doesnt crash like before)
· You can now drop tree files onto tree to load them.
· Bugfix: images could become temporarily mis-assigned when closing files.
· Added a backup reminder feature on first use.
· Added ability mark files as read-only so they will never be saved accidentally.
· Bugfix: canceling an exit from configuration screen could hang program.
· Changed special folders to have the form %SPECIALNAME% for easier identification.
· Internal file format upgraded (will notify you on loading old files) to speed up special folder access somewhat and speed up hiding of missing files.
· Bugfix: Folder icons weren't displaying in last version.
· Bugfix: .tmp files were not being deleted on successful save.
· Included HamRadio's awesome Icon Set #0 dll (thanks HamRadio) <---- NICE !!!
· New improved icon image selection mechanism.
· You can now cancel an icon change and it will revert to previous icon.
· You can now manually set the imageid for an item (useful for cloning images from other nodes).
· Added Help item to popup+tray menu.
· Added sample launchbar with categories from HamRadio using his icons (see SampleLaunchbar directory).

v1.56.02 - 10/12/06

· Bugfix - adding sibling menus could generate temporary erroneous copy of menu underneath.

v1.55.03 - 8/18/06

· Now .lnk extensions are not shown in virtual folder menus
· Better sorting in virtual folder menus
· New option in virtual folder menus to use dividers between letter groups
· Virtual folder menu item names were being displayed incorrectly when filtering was applied
· Added automatic backup process that backs up config tree files whenever saving new versions
· Icons can now use environmental variables in paths
· Better support for old fashioned folder nodes (click to open in file explorer)
· Loads default Launch Bar on first use
· Fixed broken help file shortcut.
· Added option to hide missing file nodes in a dock
· Fixed new bug where about box was not being displayed

v1.54.02 - 7/25/06

· Folder browse button didn't trigger a need to save node details.
· Full support for portable use on removable drives (like USB drives), by automatically changing drive letters, or letting you specify program locations using paths relative to application or application drive.
· Fixed bug where skin preferences were not being used at startup.
· Fixed bug where menu caption colors were wrong when default skin was selected.
· Fixed bug when trying to copy entire file tree..

v1.53.01 - 7/23/06

· Added extraction of icons from dll files.
· Added flexible virtual folder contents menus with pattern filters.
· Wrote preliminary help.
· Fixed bug not saving new items on shutdown.
· Added drag and drop files/folders/icons into configuration fields.
· Added sample LaunchBar file.

v1.51.01 - 3/06/06

· When launching apps which can take filename arguments but are launched without any, they are now called with NULL commandline args (otherwise some apps were launching with 1 empty commandline arg, which could cause different behavior).
· Taskbar now shows item entry for preferences.
· Added hint to system tray icon when minimized.
· Removed no-border option temporarily since it doesn't work right.
· Files with .htm and .html extensions are now launched with custom browser if configured.
· Improved drawing of icons after a new item is dropped onto the bar
· Added option to switch to apps if they are already running (instead of launching new copy)
· Set default skin theme to Office2003

v1.50.01 - 2/28/06

· First limited alpha release to testers.

TO DO LIST

· add option to hide all file extensions in file menus
· add function to tag/hide broken shortcuts
·
· auto hide commands not found
·
· Add folder clicking to explore mode
· Add folder click to explore mode for Commands
· Fix bug where right clicking on bar has no effect
· Add right click on folder menus
· Add sound to virtual folder menus
·
· Add menu for ff faves
· Add empty folder lookahead cleanup mode
·
· Printer button (drag to print), with button to change default printer
· option to auto disable items that are not available currently
· option to read icons from 16bit files.
·
· taskbar on tree form
·
· Custom DLL Plugins
· Advanced Scripting
· Advanced Batch Operations using "Drag+Drop Shell Robot" techonology.
· Better multimonitor support.
· Hotkey handling.
·
· ability to center toolbar horiz or vert.
· exit with non-named project crash?
· tab menu style
· add ability to use a file as a "template" which will locate all changes file locations and disables missing files; so that it can be used to share organizations
· merge-only-new command? (ie update/sync).
· auto alphabetize command
·
· default to only keep minimal icons from load
·
· fix bug on copy paste file nodes becoming unselectable
·
· autodetect changes in open file
· fix minimum width limit

THANK YOU

· codeproject.com
· DonationCoder.com Forum Members


Related Programs

 Top Previous

Related Applications:

Launch Bars

· DC Forum Discussion: http://www.donationcoder.com/Forums/bb/index.php?topic=2208.0
· DC Forum Discussion: http://www.donationcoder.com/Forums/bb/index.php?topic=2037.0
· True Launch Bar - http://www.truelaunchbar.com/
· Free Launch Bar - http://www.freelaunchbar.com/
· Advanced Launcher - http://www.alentum.com/alaunch/index.htm
· MenuApp - http://www.desktopapps.co.uk/menuAppHelp.html
· Accessor.Launchbar - http://www.accessorsoft.com/
· Free Launch Bar - http://www.freelaunchbar.com/
· BarLaunch - http://www.hi-ho.ne.jp/kyagi/enu/index.htm
· KwikLaunch - http://www.markuswelz.de/freeware/index.html
· Micro-Sys Launcher - http://www.micro-sys.dk/products/launcher/
· TrayBar - http://www.nimation.nl/traybar/
· Win Menu - http://www.sventore.com/winmenu_desc.php
· AppPlus - http://www.appplusonline.com/
· YzDock - http://www.softpedia.com/get/System/OS-Enhancements/Yz-Dock.shtml
· RocketDock PunkSoftware - http://www.punksoftware.com/index.php?option=com_content&task=view&id=45&Itemid=143
· StatBar a freeware system monitoring utility - http://www.statbar.nl/home.php
· WinBar a freeware system monitoring utility - http://www.winbar.nl/index.php
· LaunchMate - http://launchmate.sourceforge.net/index.html
· Systray+ - put an icon in the TNA - http://home.nikocity.de/stefan.schmitz/
· TrayMenu by Wei Ke with beta TrayBar - http://f2.org/archive/software/traymenu.html
· H-Menu - http://home.planet.nl/~vrloohdv/homeEN.htm
· Horst Schaeffer's PopSel and QSel - http://home.mnet-online.de/horst.muc/
· PS Hot Launch - http://www.pssoftlab.com/pshl_info.phtml
· XFCE( a linux window manager app ) - http://www.xfce.org/
· Stardock's ObjectBar - http://www.stardock.com/products/objectbar/
· Micro-Sys Launcher 1.46 - http://www.micro-sys.dk/products/launcher/
· RUNit - http://www.magister-lex.at/RUNit
· Microsoft Research's GroupBar - http://research.microsoft.com/vibe/groupbar.aspx
· PowerPro - http://powerpro.webeddie.com/
· RkLauncher - http://www.aqua-soft.org/board/forumdisplay.php?f=81
· MobyDock - http://www.mobydock.com/
· Skinnables.org freeware skinnable launchbars - http://www.skinnables.org/apps.php?section=launchers
· LaunchTab - http://launchtab.webhop.net
· ShortPopUp - http://www.digitallis.co.uk
· AquaDock - http://www.openwares.org/file.php?Itemid=29
· LaunchIt Now! - http://gemiscorp.com/english/launchitnowplus/info.html
· Toolbox - http://www.cylog.org/utils_4.asp
· Appetizer - http://app.etizer.org/